* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --primary-color: #000;
  --secondary-color: #555;
  --background-color: #fafafa;
}

@media (prefers-color-scheme: dark) {
  :root {
    --primary-color: #fafafa;
    --secondary-color: #aaa;
    --background-color: #000;
  }
}

html {
  font-size: 62.5%;
}

body {
  font-family: Inter, sans-serif;
  font-feature-settings: 'liga' 1, 'calt' 1; /* fix for Chrome */
  color: var(--primary-color);
  background-color: var(--background-color);
}

@supports (font-variation-settings: normal) {
  body { font-family: InterVariable, sans-serif; }
}


/* HERO SECTION */


.hero {
  height: 100vh;
  display: flex;
  justify-content: space-between;
}

.hero-title {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}

.hero h1 {
  font-size: calc(100vw / 5);
  font-weight: 500;
  margin: 0 0 1vw 1vw;
  line-height: 0.75;
  letter-spacing: -0.04em;
}

.social-icons {
  margin: 0.5vw 0.5vw 0 0;
}

.social-icons li {
  list-style: none;
  display: inline-block;
}

.social-icons li:not(:last-child) {
  margin-right: 0.4rem;
}

.social-icons svg {
  height: 2.8rem;
  fill: var(--secondary-color);
  transition: fill 0.25s ease;
}

@media (hover: hover) {
  /* Add hover effects for individual letters */
  .hero-title span {
    display: inline-block;
    transition: transform 0.25s ease;
  }

  .hero-title span:nth-child(odd):hover {
    transform: skewX(-15deg);
  }

  .hero-title span:nth-child(even):hover {
    transform: skewX(15deg);
  }

  .social-icons svg:hover {
    fill: var(--primary-color);
  }
}

@media (max-width: 768px) {
  .hero {
    height: 100svh;
  }

  .hero h1 {
    font-size: calc(100vw / 3);
    line-height: 1;
    margin: 0 0 3vw 0;
    writing-mode: sideways-lr;
    position: absolute;
    right: 0;
    overflow: hidden;
  }

  .social-icons {
    text-align: right;
    margin: 1vw 1vw 0 0;
  }

  .social-icons li {
    display: block;
  }

  .social-icons li:not(:last-child) {
    margin-right: 0;
  }
}


/* ABOUT SECTION */


.about-section {
  width: 95%;
  margin: 10vh auto 0 auto;
}

.about {
  display: grid;
  grid-template-columns: 1fr 3fr;
}

.about h2 {
  font-size: 4rem;
  font-weight: 400;
}

.about-list:not(:last-child) {
  margin-bottom: 10rem;
}

.about-item:not(:last-child) {
  margin-bottom: 3rem;
}

.about-item h3 {
  font-size: 3rem;
  font-weight: 300;
  margin-bottom: 1rem;
  display: flex;
  align-items: center;
  gap: 1rem;
}

.about-item-note {
  font-size: 2.5rem;
  font-weight: 200;
  color: var(--secondary-color);
}

.about-item p {
  font-size: 2.5rem;
  font-weight: 200;
}

.about-link {
  display: inline-block;
  text-decoration: none;
  color: inherit;
  transition: transform 0.25s ease;
}

@media (hover: hover) {
  .about-link:hover {
    transform: skew(-12deg);
  }
}

@media (max-width: 768px) {
  .about {
    grid-template-columns: 1fr;
  }

  .about h2:not(:last-child) {
    margin-bottom: 2rem;
  }

  .about-list:not(:last-child) {
    margin-bottom: 5rem;
  }
}


/* CONTACT SECTION */


.contact-section {
  margin-top: 5vh;
  padding: 5vh 0;
  background-color: var(--primary-color);
  color: var(--background-color);
}

.contact-container {
  width: 95%;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.contact-container:not(:last-child) {
  margin-bottom: 3rem;
}

.contact-container h2 {
  font-size: clamp(6rem, 3vw, 3vw);
  font-weight: 400;
  margin-bottom: 1.6rem;
}

.contact-container p {
  font-size: 2.5rem;
  font-weight: 300;
}

.contact-container a {
  display: inline-block;
  text-decoration: none;
  color: inherit;
  font-size: 5vw;
  transition: transform 0.25s ease;
}

@media (hover: hover) {
  .contact-container a:hover {
    transform: skew(-12deg);
  }
}

@media (max-width: 768px) {
  .contact-container {
    flex-direction: column;
    align-items: flex-end;
    text-align: right;
  }

  .contact-container h2 {
    font-size: 6rem;
  }

  .contact-container p {
    margin-bottom: 1.6rem;
  }

  .contact-container a {
    font-size: 4rem;
  }
}


/* FOOTER */


.footer {
  width: 95%;
  margin: 5vh auto;
}

.footer h2 {
  font-size: clamp(4rem, 2vw, 2vw);
  font-weight: 500;
}

.footer li {
  list-style: none;
}

.footer a {
  font-size: clamp(2rem, 1vw, 1vw);
  display: inline-block;
  text-decoration: none;
  color: inherit;
  transition: transform 0.25s ease;
}

@media (hover: hover) {
  .footer a:hover {
    transform: skew(-12deg);
  }
}

@media (max-width: 768px) {
  .footer {
    text-align: center;
  }

  .footer h2 {
    font-size: 4rem;
  }

  .footer a {
    font-size: 2rem;
  }
}